Subject: FW: Manual Entry
From: [email-masked]
To: [email-masked]
Date: Thu, 19 Apr 2001 13:23:33 -0700 (PDT)

-----Original Message-----
From: 	Hyde, Chris  
Sent:	Wednesday, April 18, 2001 8:49 PM
To:	Smith, Matt; Piazze, Tara; Blackburn, Nate; O'Malley, Justin; Rank, Sabina; Gaskill, Chris
Cc:	Tonks, Colin; Dronet, David; Wang, Yan
Subject:	Manual Entry

I have the Manual Entry process ready for testing again (testing as in testing by the analysts).  I would prefer to have it used by the analysts at least for a few days to iron out any more potential "bugs" before releasing it to users on the floor.  If the consensus is to have people on the floor be the testers, that is fine as well, as long as they know that the following URL points to a development server.

Without further ado, the link to the Manual Entry Page:

http://fundamentals.dev.corp.enron.com/admin/manualentry/

As stated in the above URL, this is located on the DEVELOPMENT web server.  Users should honestly never be directed to this URL, unless authorized by one of the site developers, since anything on it is subject to be currently in development (read: potentially broken).

Anyway, here are some things that have been added to the Manual Entry piece in this release:

"Previous" data now reflects information in the DB for the latest effective date for the selected cycle (not just "Yesterday" as before)...
There is now an option to enter data for a "special cycle 0"...this is to be used on occasions where no data was scraped (for whatever reason), but there is some available that can be manually entered.  Selecting this option causes ALL points for a given pipeline to be displayed (both normally scraped points AND manually entered points).  A cycle of '0' is applied to this data, and it should only show up on reports until valid scrape data becomes available (since the report engine is designed to pull the latest cycle available).
You can now add "extra" line items to be stored in the DB...this is to be used when you must enter data for more than one flow type for a given point (i.e. the point is reported as both a Receipt and a Delivery).  This should normally only have to be done the first time data is entered for that pipe, since the "Previous" data will handle pulling in and displaying (the next time) every flow type stored for every point on the pipe.

NOTE:  It is set to only allow 1 extra point to be added...this was done to simplify the handling of this feature; I'm open to discussion if you feel there is a need to enter more than one extra point (I see it as a Receipt/Delivery issue...will a point ever be more than that?  Receipt/Delivery/Storage or something?)

I have also fixed the "Exceptions Occurred" bug that cropped up recently...this was caused by moving the manually entered points to their own unique pipeline ids.  The Jaguar system did not get updated to account for that, but it is updated now.

Aside from the above, minor tweaks here and there have also been made.  I am going to enlist the aid of Junellen to "beautify" the layout, but provided no more bugs appear during testing this should be good to go into production by the beginning of next week.

Any questions, feel free to ask or reply.

Thanks,
Chris